.generator-cards {
  align-items: flex-start;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
  position: relative;
  width: 100%;
}

#preview-toggle {
  text-align: center;
  & .pt-label {
    display: inline-block;
    margin-right: 10px;
    vertical-align: middle;
    & .pt-icon-standard {
      margin-right: 10px;
      opacity: 0.4;
    }
  }
  & .pt-select {
    font-family: monospace;
  }
}

.splash {
  align-items: center;
  background-size: cover;
  display: flex;
  flex-direction: column;
  padding: 50px;
  justify-content: center;
  margin: 25px auto;
  text-align: center;
  & .stats {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
  }
}

#status {
  background-color: rgba(255, 255, 255, 0);
  bottom: 30px;
  color: #888;
  height: 30px;
  font-size: 14px;
  font-weight: 600;
  left: 0;
  opacity: 0.5;
  padding: 5px;
  position: fixed;
  text-align: center;
  transition: background-color 0.5s, opacity 0.5s;
  width: 300px;
  &.active {
    background-color: rgba(255, 255, 255, 1);
    opacity: 1;
  }
  & .pt-icon-standard {
    margin-right: 5px;
  }
  & .pt-spinner {
    margin-right: 5px;
    vertical-align: bottom;
    width: 18px;
  }
}

.pt-card .pt-non-ideal-state {
  & .pt-non-ideal-state-visual {
    margin-bottom: 5px;
    & .pt-icon {
      font-size: 30px;
    }
  }
  & .pt-non-ideal-state-title {
    margin-bottom: 0;
  }
}
